Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.spteqr

scipy.linalg.lapack.spteqr(d, e, z[, compute_z, overwrite_d, overwrite_e, overwrite_z]) = <fortran function spteqr>

  Wrapper for `spteqr`.

  Parameters:
    d input rank-1 array(‘f’) with bounds (n)
    e input rank-1 array(‘f’) with bounds ((n > 0?-1 + n:0))
    z input rank-2 array(‘f’) with bounds ((compute_z == 0?shape(z, 0):max(1, n)),(compute_z == 0?shape(z, 1):n))
  Returns:
    d rank-1 array(‘f’) with bounds (n)
    e rank-1 array(‘f’) with bounds ((n > 0?-1 + n:0))
    z rank-2 array(‘f’) with bounds ((compute_z == 0?shape(z, 0):max(1, n)),(compute_z == 0?shape(z, 1):n))
    info int
  Other Parameters:
    compute_z input int, optional

      Default: 0

    overwrite_d input int, optional

      Default: 0

    overwrite_e input int, optional

      Default: 0

    overwrite_z input int, optional

      Default: 0